local addonName, vars = ...
vars.svnrev = {}
vars.svnrev["glyphdata.lua"] = tonumber(("$Revision: 126 $"):match("%d+"))

vars.glyphlevel = { 
  [1] = 25, -- minor
  [2] = 25, -- major
  [3] = 50, -- minor
  [4] = 50, -- major
  [5] = 75, -- minor
  [6] = 75, -- major
}

vars.glyphdata = {

-- Warrior  1 = Arms, 2 = Fury, 3 = Protection
  -- [485] = ,    	-- [Long Charge]
  -- [487] = ,    	-- [Unending Rage]
     [489] = 1,    	-- [Mortal Strike] (Arms)
  -- [491] = ,    	-- [Enraged Speed]
  -- [492] = ,    	-- [Hindering Strikes]
     [493] = 3,    	-- [Heavy Repercussions] (Protection)
     [494] = 2,    	-- [Bloodthirst] (Fury)
  -- [495] = ,    	-- [Rude Interruption]
  -- [496] = ,    	-- [Gag Order]
  -- [497] = ,    	-- [Blitz]
     [499] = {1,2},    	-- [Die by the Sword] (Arms, Fury)
  -- [500] = ,    	-- [Hamstring]
     [501] = 3,    	-- [Hold the Line] (Protection)
     [502] = 3,    	-- [Shield Slam] (Protection)
  -- [504] = ,    	-- [Hoarse Voice]
     [505] = 1,    	-- [Sweeping Strikes] (Arms)
  -- [507] = ,    	-- [Resonating Power]
  -- [508] = ,    	-- [Victory Rush]
     [509] = 2,    	-- [Raging Wind] (Fury)
     [762] = {1,2},    	-- [Whirlwind] (Arms, Fury)
  -- [763] = ,    	-- [Death From Above]
     [764] = {1,2},    	-- [Furious Sundering] (Arms, Fury)
  -- [766] = ,    	-- [Spell Reflection]
  -- [767] = ,    	-- [Shield Wall]
     [927] = {1,2},    	-- [Colossus Smash] (Arms, Fury)
  -- [931] = ,    	-- [Bull Rush]
  -- [932] = ,    	-- [Recklessness]
     [1008] = 3,    	-- [Incite] (Protection)

-- Warlock  1 = Affliction, 2 = Demonology, 3 = Destruction
     [273] = 3,    	-- [Conflagrate] (Destruction)
  -- [274] = ,    	-- [Siphon Life]
  -- [277] = ,    	-- [Fear]
  -- [279] = ,    	-- [Demon Training]
  -- [281] = ,    	-- [Healthstone]
  -- [283] = ,    	-- [Dark Soul]
     [284] = 2,    	-- [Imp Swarm] (Demonology)
     [285] = 1,    	-- [Soul Swap] (Affliction)
  -- [289] = ,    	-- [Soulstone]
     [291] = 1,    	-- [Unstable Affliction] (Affliction)
  -- [478] = ,    	-- [Soul Consumption]
     [480] = 1,    	-- [Curse of Exhaustion] (Affliction)
  -- [755] = ,    	-- [Drain Life]
     [756] = 2,    	-- [Demon Hunting] (Demonology)
     [757] = 3,    	-- [Ember Tap] (Destruction)
  -- [758] = ,    	-- [Demonic Circle]
     [759] = 2,    	-- [Shadowflame] (Demonology)
  -- [760] = ,    	-- [Life Tap]
     [911] = {1,2},    	-- [Everlasting Affliction] (Affliction, Demonology)

-- Shaman  1 = Elemental, 2 = Enhancement, 3 = Restoration
     [211] = 3,    	-- [Water Shield] (Restoration)
     [212] = 1,    	-- [Unstable Earth] (Elemental)
  -- [213] = ,    	-- [Chain Lightning]
     [214] = 2,    	-- [Spirit Walk] (Enhancement)
  -- [215] = ,    	-- [Capacitor Totem]
  -- [216] = ,    	-- [Purge]
  -- [217] = ,    	-- [Fire Elemental Totem]
     [218] = 2,    	-- [Fire Nova] (Enhancement)
  -- [219] = ,    	-- [Flame Shock]
  -- [220] = ,    	-- [Wind Shear]
  -- [221] = ,    	-- [Frost Shock]
  -- [222] = ,    	-- [Healing Stream Totem]
     [223] = 3,    	-- [Healing Wave] (Restoration)
  -- [224] = ,    	-- [Totemic Recall]
  -- [226] = ,    	-- [Telluric Currents]
  -- [227] = ,    	-- [Grounding Totem]
  -- [228] = ,    	-- [Spiritwalker's Grace]
  -- [230] = ,    	-- [Chaining]
  -- [231] = ,    	-- [Cleansing Waters]
     [474] = 2,    	-- [Healing Storm] (Enhancement)
  -- [552] = ,    	-- [Ghost Wolf]
     [735] = 1,    	-- [Thunder] (Elemental)
     [736] = 2,    	-- [Feral Spirit] (Enhancement)
     [737] = 3,    	-- [Riptide] (Restoration)
     [752] = {1,2},    	-- [Shamanistic Rage] (Elemental, Enhancement)
  -- [753] = ,    	-- [Hex]
  -- [754] = ,    	-- [Totemic Vigor]
  -- [950] = ,    	-- [Unleashed Lightning]

-- Death Knight  1 = Blood, 2 = Frost, 3 = Unholy
  -- [512] = ,    	-- [Anti-Magic Shell]
     [513] = 3,    	-- [Unholy Frenzy] (Unholy)
  -- [515] = ,    	-- [Icebound Fortitude]
  -- [516] = ,    	-- [Chains of Ice]
  -- [519] = ,    	-- [Death Grip]
  -- [520] = ,    	-- [Death and Decay]
  -- [521] = ,    	-- [Shifting Presences]
  -- [524] = ,    	-- [Icy Touch]
  -- [525] = ,    	-- [Enduring Infection]
  -- [526] = ,    	-- [Pestilence]
  -- [527] = ,    	-- [Mind Freeze]
  -- [530] = ,    	-- [Strangulate]
     [531] = 2,    	-- [Pillar of Frost] (Frost)
     [532] = 1,    	-- [Vampiric Blood] (Blood)
  -- [556] = ,    	-- [Unholy Command]
  -- [557] = ,    	-- [Outbreak]
     [768] = 1,    	-- [Dancing Rune Weapon] (Blood)
  -- [769] = ,    	-- [Dark Simulacrum]
  -- [771] = ,    	-- [Death Coil]
  -- [945] = ,    	-- [Dark Succor]

-- Mage  1 = Arcane, 2 = Fire, 3 = Frost
  -- [313] = ,    	-- [Arcane Explosion]
  -- [314] = ,    	-- [Blink]
  -- [315] = ,    	-- [Evocation]
     [316] = 2,    	-- [Combustion] (Fire)
  -- [318] = ,    	-- [Frost Nova]
  -- [321] = ,    	-- [Ice Block]
  -- [322] = ,    	-- [Ice Lance]
  -- [323] = ,    	-- [Cone of Cold]
  -- [325] = ,    	-- [Invisibility]
  -- [326] = ,    	-- [Mana Gem]
  -- [329] = ,    	-- [Polymorph]
     [330] = 3,    	-- [Icy Veins] (Frost)
  -- [331] = ,    	-- [Spellsteal]
  -- [591] = ,    	-- [Frostfire Bolt]
  -- [611] = ,    	-- [Remove Curse]
     [651] = 1,    	-- [Arcane Power] (Arcane)
     [696] = 3,    	-- [Water Elemental] (Frost)
     [697] = 1,    	-- [Slow] (Arcane)
  -- [700] = ,    	-- [Deep Freeze]
  -- [871] = ,    	-- [Counterspell]
     [928] = 2,    	-- [Inferno Blast] (Fire)
  -- [948] = ,    	-- [Armors]

-- Rogue  1 = Assassination, 2 = Combat, 3 = Subtlety
  -- [391] = ,    	-- [Shadow Walk]
  -- [392] = ,    	-- [Ambush]
     [394] = 2,    	-- [Blade Flurry] (Combat)
  -- [395] = ,    	-- [Crippling Poison]
  -- [396] = ,    	-- [Recuperate]
  -- [397] = ,    	-- [Evasion]
  -- [398] = ,    	-- [Debilitation]
  -- [399] = ,    	-- [Expose Armor]
  -- [400] = ,    	-- [Feint]
  -- [401] = ,    	-- [Garrote]
  -- [403] = ,    	-- [Gouge]
  -- [405] = ,    	-- [Smoke Bomb]
  -- [406] = ,    	-- [Cheap Shot]
  -- [407] = ,    	-- [Sap]
     [409] = 2,    	-- [Adrenaline Rush] (Combat)
  -- [410] = ,    	-- [Shiv]
  -- [411] = ,    	-- [Sprint]
     [714] = 1,    	-- [Vendetta] (Assassination)
  -- [716] = ,    	-- [Stealth]
  -- [731] = ,    	-- [Deadly Momentum]
  -- [734] = ,    	-- [Cloak of Shadows]
  -- [924] = ,    	-- [Vanish]
  -- [926] = ,    	-- [Kick]
  -- [929] = ,    	-- [Blind]

-- Druid  1 = Balance, 2 = Feral, 3 = Guardian, 4 = Restoration
  -- [161] = ,    	-- [Frenzied Regeneration]
  -- [162] = ,    	-- [Maul]
     [163] = 1,    	-- [Solar Beam] (Balance)
     [165] = 2,    	-- [Shred] (Feral)
  -- [166] = ,    	-- [Prowl]
  -- [167] = ,    	-- [Pounce]
  -- [168] = ,    	-- [Stampede]
  -- [169] = ,    	-- [Innervate]
  -- [170] = ,    	-- [Rebirth]
     [171] = 4,    	-- [Regrowth] (Restoration)
     [172] = 4,    	-- [Rejuvenation] (Restoration)
     [173] = 4,    	-- [Healing Touch] (Restoration)
     [174] = 4,    	-- [Lifebloom] (Restoration)
     [175] = 1,    	-- [The Moonbeast] (Balance)
  -- [177] = ,    	-- [Hurricane]
     [178] = {2,3},    	-- [Skull Bash] (Feral, Guardian)
  -- [179] = ,    	-- [Nature's Grasp]
     [180] = 2,    	-- [Savagery] (Feral)
  -- [181] = ,    	-- [Entangling Roots]
     [434] = 4,    	-- [Blooming] (Restoration)
  -- [551] = ,    	-- [Dash]
  -- [631] = ,    	-- [Master Shapeshifter]
     [671] = {2,3},    	-- [Survival Instincts] (Feral, Guardian)
     [672] = 4,    	-- [Wild Growth] (Restoration)
  -- [673] = ,    	-- [Might of Ursoc]
  -- [674] = ,    	-- [Stampeding Roar]
  -- [675] = ,    	-- [Cyclone]
  -- [676] = ,    	-- [Barkskin]
  -- [831] = ,    	-- [Ferocious Bite]
  -- [933] = ,    	-- [Fae Silence]
  -- [934] = ,    	-- [Faerie Fire]
  -- [936] = ,    	-- [Cat Form]

-- Monk  1 = Brewmaster, 2 = Mistweaver, 3 = Windwalker
  -- [997] = ,    	-- [Expel Harm]
     [998] = 1,    	-- [Guard] (Brewmaster)
  -- [999] = ,    	-- [Zen Meditation]
     [1001] = 2,    	-- [Surging Mist] (Mistweaver)
  -- [1002] = ,    	-- [Enduring Healing Sphere]
  -- [1011] = ,    	-- [Transcendence]
  -- [1012] = ,    	-- [Spinning Crane Kick]
     [1013] = 2,    	-- [Renewing Mist] (Mistweaver)
  -- [1014] = ,    	-- [Touch of Death]
     [1015] = 1,    	-- [Breath of Fire] (Brewmaster)
     [1016] = 1,    	-- [Clash] (Brewmaster)
     [1019] = 2,    	-- [Mana Tea] (Mistweaver)
     [1021] = 1,    	-- [Leer of the Ox] (Brewmaster)
  -- [1025] = ,    	-- [Retreat]
     [1026] = 2,    	-- [Life Cocoon] (Mistweaver)
  -- [1030] = ,    	-- [Fortifying Brew]
  -- [1031] = ,    	-- [Stoneskin]
  -- [1032] = ,    	-- [Crackling Jade Lightning]
     [1034] = 2,    	-- [Uplift] (Mistweaver)
     [1035] = 3,    	-- [Fists of Fury] (Windwalker)
     [1036] = 3,    	-- [Sparring] (Windwalker)
     [1037] = 3,    	-- [Afterlife] (Windwalker)
     [1038] = 3,    	-- [Touch of Karma] (Windwalker)
  -- [1040] = ,    	-- [Paralysis]

-- Priest  1 = Discipline, 2 = Holy, 3 = Shadow
     [251] = 2,    	-- [Circle of Healing] (Holy)
     [252] = {1,2},    	-- [Purify] (Discipline, Holy)
  -- [253] = ,    	-- [Fade]
  -- [254] = ,    	-- [Fear Ward]
  -- [255] = ,    	-- [Inner Sanctum]
  -- [256] = ,    	-- [Holy Nova]
  -- [257] = ,    	-- [Inner Fire]
     [258] = 2,    	-- [Lightwell] (Holy)
  -- [259] = ,    	-- [Mass Dispel]
     [260] = 3,    	-- [Psychic Horror] (Shadow)
     [261] = {1,2},    	-- [Holy Fire] (Discipline, Holy)
  -- [262] = ,    	-- [Weakened Soul]
  -- [263] = ,    	-- [Power Word: Shield]
     [264] = 2,    	-- [Spirit of Redemption] (Holy)
  -- [265] = ,    	-- [Psychic Scream]
  -- [266] = ,    	-- [Renew]
  -- [267] = ,    	-- [Scourge Imprisonment]
     [268] = 3,    	-- [Mind Blast] (Shadow)
  -- [269] = ,    	-- [Dispel Magic]
     [270] = {1,2},    	-- [Smite] (Discipline, Holy)
  -- [271] = ,    	-- [Prayer of Mending]
  -- [459] = ,    	-- [Levitate]
  -- [462] = ,    	-- [Reflective Shield]
     [708] = 3,    	-- [Dispersion] (Shadow)
  -- [709] = ,    	-- [Leap of Faith]
     [710] = 1,    	-- [Penance] (Discipline)
     [711] = 3,    	-- [Dark Binding] (Shadow)
     [712] = 3,    	-- [Mind Spike] (Shadow)
  -- [713] = ,    	-- [Binding Heal]
     [1003] = 3,    	-- [Mind Flay] (Shadow)
  -- [1005] = ,    	-- [Shadow Word: Death]
     [1006] = 3,    	-- [Vampiric Embrace] (Shadow)
     [1046] = 2,    	-- [Lightspring] (Holy)

-- Hunter  1 = Beast Mastery, 2 = Marksmanship, 3 = Survival
  -- [352] = ,    	-- [Camouflage]
  -- [353] = ,    	-- [Liberation]
  -- [354] = ,    	-- [Mending]
  -- [355] = ,    	-- [Distracting Shot]
     [356] = 1,    	-- [Endless Wrath] (Beast Mastery)
  -- [357] = ,    	-- [Deterrence]
  -- [358] = ,    	-- [Disengage]
  -- [359] = ,    	-- [Freezing Trap]
  -- [360] = ,    	-- [Ice Trap]
  -- [361] = ,    	-- [Misdirection]
  -- [362] = ,    	-- [Explosive Trap]
  -- [363] = ,    	-- [Animal Bond]
  -- [364] = ,    	-- [No Escape]
  -- [365] = ,    	-- [Pathfinding]
  -- [367] = ,    	-- [Snake Trap]
     [368] = 2,    	-- [Aimed Shot] (Marksmanship)
  -- [369] = ,    	-- [Mend Pet]
  -- [371] = ,    	-- [Solace]
     [677] = 2,    	-- [Chimera Shot] (Marksmanship)
  -- [691] = ,    	-- [Tranquilizing Shot]
  -- [693] = ,    	-- [Master's Call]
  -- [694] = ,    	-- [Scatter Shot]
  -- [695] = ,    	-- [Mirrored Blades]
  -- [1023] = ,    	-- [Black Ice]

-- Paladin  1 = Holy, 2 = Protection, 3 = Retribution
  -- [183] = ,    	-- [Double Jeopardy]
  -- [184] = ,    	-- [Rebuke]
     [185] = 2,    	-- [Holy Wrath] (Protection)
  -- [186] = ,    	-- [Divine Protection]
     [187] = 3,    	-- [Templar's Verdict] (Retribution)
  -- [188] = ,    	-- [Avenging Wrath]
     [189] = 2,    	-- [Consecration] (Protection)
     [191] = 2,    	-- [Focused Shield] (Protection)
  -- [192] = ,    	-- [Turn Evil]
  -- [193] = ,    	-- [Blinding Light]
     [194] = 2,    	-- [Final Wrath] (Protection)
  -- [195] = ,    	-- [Word of Glory]
     [196] = 1,    	-- [Illumination] (Holy)
  -- [197] = ,    	-- [Harsh Words]
  -- [198] = ,    	-- [Divinity]
     [199] = 1,    	-- [Light of Dawn] (Holy)
  -- [200] = ,    	-- [Blessed Life]
  -- [455] = ,    	-- [Flash of Light]
     [559] = 1,    	-- [Denounce] (Holy)
     [560] = 2,    	-- [Dazing Shield] (Protection)
  -- [561] = ,    	-- [Immediate Truth]
     [701] = 1,    	-- [Beacon of Light] (Holy)
     [702] = {2,3},    	-- [Hammer of the Righteous] (Protection, Retribution)
     [703] = 3,    	-- [Divine Storm] (Retribution)
     [704] = 2,    	-- [Alabaster Shield] (Protection)
     [705] = 1,    	-- [Divine Plea] (Holy)
     [706] = 1,    	-- [Holy Shock] (Holy)
     [707] = 3,    	-- [Inquisition] (Retribution)
  -- [930] = ,    	-- [Protector of the Innocent]
  -- [996] = ,    	-- [Battle Healer]
     [1009] = 3,    	-- [Mass Exorcism] (Retribution)

}
  
